---
title: image-orientation
slug: Web/CSS/image-orientation
tags:
  - CSS
  - CSS Images
  - CSS Property
  - EXIF
  - Experimental
  - Image Correction
  - Image Orientation
  - Obsolete
  - Orientation
  - Reference
  - image-orientation
  - 'recipe:css-property'
---
<div>{{deprecated_header}}</div>

<p><span class="seoSummary">The <strong><code>image-orientation</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property specifies a layout-independent correction to the orientation of an image.</span> It should <em>not</em> be used for any other orientation adjustments; instead, the {{cssxref("transform")}} property should be used with the <code>rotate</code> {{cssxref("&lt;transform-function&gt;")}}.</p>

<div class="warning">
<p><strong>Warning:</strong> This property is deprecated in the specification. Its functionality may be moved into properties on the {{HTMLElement("img")}} and/or {{HTMLElement("picture")}} elements, with the possible exception of <code>from-image</code>. The <code>flip</code> and <code>&lt;angle&gt;</code> values were made obsolete in Firefox 63.</p>
</div>

<pre class="brush:css no-line-numbers notranslate">/* keyword values */
image-orientation: none;
image-orientation: from-image; /* Use EXIF data from the image */

/* Global values */
image-orientation: inherit;
image-orientation: initial;
image-orientation: unset;

/* Obsolete Values. {{obsolete_inline(63)}} */
image-orientation: 90deg; /* Rotate 90deg */
image-orientation: 90deg flip; /* Rotate 90deg, and flip it horizontally */
image-orientation: flip; /* No rotation, only applies a horizontal flip */</pre>

<h2 id="Syntax">Syntax</h2>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>none</code></dt>
 <dd>Does not apply any additional image rotation; the image is oriented as encoded or as other CSS property values dictate.</dd>
 <dt><code>from-image</code></dt>
 <dd>Default initial value. The {{interwiki("wikipedia", "EXIF")}} information contained in the image is used to rotate the image appropriately.</dd>
 <dt>{{cssxref("&lt;angle&gt;")}} {{non-standard_inline}}{{obsolete_inline(63)}}</dt>
 <dd>The {{cssxref("&lt;angle&gt;")}} of rotation to apply to the image. It is rounded to the nearest <code>90deg</code> (<code>0.25turn</code>).</dd>
 <dt><code>flip</code> {{non-standard_inline}}{{obsolete_inline(63)}}</dt>
 <dd>The image is flipped horizontally (i.e., reflected) after the rotation given by the {{cssxref("&lt;angle&gt;")}} value is applied. If no {{cssxref("&lt;angle&gt;")}} is given, <code>0deg</code> is used.</dd>
</dl>

<h2 id="Description">Description</h2>

<p>This property is intended <em>only</em> to be used for the purpose of correcting the orientation of images which were shot with the camera rotated. It should <em>not</em> be used for arbitrary rotations. For any purpose other than correcting an image's orientation due to how it was shot or scanned, use a {{cssxref("transform")}} property with the <code>rotate</code> keyword to specify rotation. This includes any user-directed changes to the orientation of the image, or changes required for printing in portrait versus landscape orientation.</p>

<p>If used in conjunction with other CSS properties, such as a {{cssxref("&lt;transform-function&gt;")}}, any <code>image-orientation</code> rotation is applied before any other transformations.</p>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Orienting_image_from_image_data">Orienting image from image data</h3>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">#image {
  image-orientation: from-image; /* Can be changed in the live sample */
}
</pre>

<div class="hidden">
<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;img id="image" src="https://mdn.mozillademos.org/files/12668/MDN.svg"
    alt="Orientation taken from the image"&gt;
&lt;select id="imageOrientation"&gt;
  &lt;option value="from-image"&gt;from-image&lt;/option&gt;
  &lt;option value="none"&gt;none&lt;/option&gt;
&lt;/select&gt;
</pre>

<h4 id="JavaScript">JavaScript</h4>

<pre class="brush: js notranslate">var imageOrientation = document.getElementById("imageOrientation");
imageOrientation.addEventListener("change", function (evt) {
  document.getElementById("image").style.imageOrientation = evt.target.value;
});
</pre>
</div>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample("Orienting_image_from_image_data", "100%", 240)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS3 Images', '#the-image-orientation', 'image-orientation')}}</td>
   <td>{{Spec2('CSS3 Images')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.image-orientation")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>Other image-related CSS properties: {{cssxref("object-fit")}}, {{cssxref("object-position")}}, {{cssxref("image-orientation")}}, {{cssxref("image-rendering")}}, {{cssxref("image-resolution")}}.</li>
 <li>{{cssxref("transform")}} and {{cssxref("rotate")}}</li>
</ul>

<div>{{CSSRef}}</div>
